Name: kumir
Version: 1.7.1
Release: alt7.M50P.1

Summary: Kumir is a simple programming language and IDE for teaching programming
Summary(ru_RU.UTF-8): Кумир это простой язык программирования и среда разработки, применяемый при обучении

License: GPL
Group: Education
Url: http://lpm.org.ru/kumir
Packager: Denis Kirienko <dk@altlinux.ru>

BuildPreReq: libqt4-devel gcc-c++
Requires: libqt4-core

Source: kumir-1.7.1.tar.gz
Source1: %name-1.7.1-alt-icons.tar.bz2

Patch0: %name-1.7.1-desktop.patch
Patch1: %name-1.7.1-x-kumir-program.desktop.patch
Patch2: %name-1.7.1-x-kumir-program.xml.patch
Patch3: %name-1.7.1-opt.patch

%description
Implementation of Kumir programming language, designed by academician
Ershov. It has very simple syntax, also known as "Russian algorithmical
language". Includes compiler, runtime, IDE and  modules "Robot", "Draw",
"Turtle" and some others.

%description -l ru_RU.UTF-8
Кумир - это учебный язык программирования, описанный в учебнике
А.Г.Кушниренко, и среда разработки. Он имеет простой синтаксис,
известный также как "русский алгоритмический язык". В состав среды также
входят канонические исполнители Робот, Чертежник, Черепаха и другие,
что делает Кумир очень удобным для начального обучения программированию.

%prep
%setup
%setup -D -T -b 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

%configure --prefix=%buildroot/usr --target-dir=%buildroot%_libdir/%name
%make_build

%install

mkdir -p %buildroot/usr/bin
%make_install install
install -m 644 -D Kumir/X-Desktop/%name.desktop %buildroot%_desktopdir/%name.desktop
install -m 644 -D Kumir/X-Desktop/x-kumir-program.xml %buildroot/%_datadir/mime/packages/x-kumir-program.xml
install -m 644 -D Kumir/X-Desktop/x-kumir-program.desktop  %buildroot/%_datadir/mimelnk/application/x-kumir-program.desktop
mkdir -p %buildroot%_miconsdir/ %buildroot%_niconsdir/ %buildroot%_liconsdir/ %buildroot%_iconsdir/hicolor/64x64/apps/ %buildroot%_iconsdir/hicolor/128x128/apps/
install -m 644 app_icons/png/16x16/*.png %buildroot%_miconsdir/
install -m 644 app_icons/png/32x32/*.png %buildroot%_niconsdir/
install -m 644 app_icons/png/48x48/*.png %buildroot%_liconsdir/
install -m 644 app_icons/png/64x64/*.png %buildroot%_iconsdir/hicolor/64x64/apps/
install -m 644 app_icons/png/128x128/*.png %buildroot%_iconsdir/hicolor/128x128/apps/
rm %buildroot%_iconsdir/hicolor/128x128/apps/kumir.png
rm %buildroot%_iconsdir/hicolor/*/apps/pictomir.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/16x16/application-x-kumir-program.png %buildroot%_iconsdir/crystalsvg/16x16/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/22x22/application-x-kumir-program.png %buildroot%_iconsdir/crystalsvg/22x22/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/32x32/application-x-kumir-program.png %buildroot%_iconsdir/crystalsvg/32x32/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/48x48/application-x-kumir-program.png %buildroot%_iconsdir/crystalsvg/48x48/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/64x64/application-x-kumir-program.png %buildroot%_iconsdir/crystalsvg/64x64/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/scalable/application-x-kumir-program.svg %buildroot%_iconsdir/crystalsvg/scalable/mimetypes/application-x-kumir-program.svg
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/16x16/application-x-kumir-program.png %buildroot%_iconsdir/oxygen/16x16/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/22x22/application-x-kumir-program.png %buildroot%_iconsdir/oxygen/22x22/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/32x32/application-x-kumir-program.png %buildroot%_iconsdir/oxygen/32x32/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/48x48/application-x-kumir-program.png %buildroot%_iconsdir/oxygen/48x48/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/64x64/application-x-kumir-program.png %buildroot%_iconsdir/oxygen/64x64/mimetypes/application-x-kumir-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/scalable/application-x-kumir-program.svg %buildroot%_iconsdir/oxygen/scalable/mimetypes/application-x-kumir-program.svg
cd %buildroot/%_datadir/pixmaps
mv x-kumir-program.png application-x-kumir-program.png

%files
%_bindir/*
%_libdir/%name
%_desktopdir/*
%_iconsdir/*/*/*/*
%_datadir/pixmaps/*
%_datadir/mime/packages/x-kumir-program.xml
%_datadir/mimelnk/application/x-kumir-program.desktop

%changelog
* Fri Sep 17 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt7.M50P.1
- Rebuild for Branch/p5

* Fri Sep 17 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt8
- 1.7.1 final release

* Fri Aug 27 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt7
- SVN snapshot 2027

* Fri Jul 02 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt6
- 1.7.1-rc6 (SVN snapshot 1998)

* Mon Jun 21 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt5
- 1.7.1-rc5 (SVN snapshot 1994)

* Thu Jun 10 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt4
- 1.7.1-rc4 (SVN snapshot 1980)

* Mon May 10 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt3
- 1.7.1-rc2

* Wed May 05 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt2
- 1.7.1-rc1

* Fri Apr 30 2010 Denis Kirienko <dk@altlinux.ru> 1.7.1-alt1
- 1.7.1-pre3
- Removed Pictomir application because of license restrictions

* Fri Feb 19 2010 Denis Kirienko <dk@altlinux.ru> 1.7-alt11
- SVN snapshot 1694

* Thu Feb 11 2010 Denis Kirienko <dk@altlinux.ru> 1.7-alt10
- SVN snapshot 1690

* Sat Jan 09 2010 Denis Kirienko <dk@altlinux.ru> 1.7-alt9
- SVN snapshot 1579

* Thu Dec 17 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt8
- SVN snapshot 1546

* Wed Dec 16 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt7
- SVN snapshot 1541

* Mon Dec 07 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt6
- SVN snapshot 1523

* Wed Nov 18 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt5
- SVN snapshot 1435
- Included module "vodoley"

* Thu Nov 12 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt4
- SVN snapshot 1414
- Added "pictomir" application
- Modules "turtle", "kuznechik" and "isometricRobot" are
  integrated to the main menu
- Excluded module "vodoley" (upstream bugreport #591)

* Fri Oct 23 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt3
- SVN snapshot 1342
- Initial experimental support for external modules:
  "turtle", "vodoley", "Kuznechik"

* Fri Oct 09 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt2
- SVN snapshot 1323

* Sun Oct 04 2009 Denis Kirienko <dk@altlinux.ru> 1.7-alt1
- Development version 1.7 (SVN 1291)

* Fri Aug 28 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt19
- Fixed searching for available PDF viewer under KDE4

* Sat Feb 28 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt18
- Version 1.6 final release (SVN 988)

* Sat Feb 21 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt17
- SVN snapshot 978

* Mon Feb 09 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt16
- SVN snapshot 965

* Sat Feb 07 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt15
- SVN snapshot 960 

* Fri Jan 23 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt14
- SVN snapshot 945
- Removed recursion patch

* Wed Jan 21 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt13
- SVN snapshot 935

* Thu Jan 15 2009 Denis Kirienko <dk@altlinux.ru> 1.6-alt12
- SVN snapshot 930

* Sun Dec 28 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt11
- SVN snapshot 913
- Max recursion depth decreased to 200

* Mon Dec 22 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt10
- SVN snapshot 904
- Fixed build for x86_64

* Sun Dec 21 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt9
- SVN snapshot 898
- Added mime info and mime icons
- Added patch to increase maximum recursion depth from 128 to 4096

* Sat Nov 29 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt8
- SVN snapshot 719
- Spec cleanup

* Tue Sep 30 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt7
- SVN snapshot 562
- Fixed kumir.desktop

* Fri Sep 19 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt6
- SVN snapshot 530 

* Sun Sep 07 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt5.svn512
- SVN snapshot 512
- Fixed kumir.desktop

* Fri Aug 01 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt4.svn440
- SVN snapshot 440

* Thu Jul 03 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt3.svn377
- SVN snapshot 377

* Sun Jun 08 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt2.svn307
- SVN snapshot 307

* Sun Jun 01 2008 Denis Kirienko <dk@altlinux.ru> 1.6-alt1.svn273
- First build for ALT Linux Sisyphus
- SVN snapshot 273
